Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.graph
Class UndirectedSubgraph<V,E>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.Subgraph<V,E,UndirectedGraph<V,E>>
              org.jgrapht.graph.UndirectedSubgraph<V,E>

All Implemented Interfaces:
  java.io.Serializable, Graph<V,E>, UndirectedGraph<V,E>

Direct Known Subclasses:
  UndirectedWeightedSubgraph

    public class UndirectedSubgraph<V,E>

extends Subgraph<V,E,UndirectedGraph<V,E>>
implements UndirectedGraph<V,E>

An undirected graph that is a subgraph on other graph.

See Also:
  `Subgraph`, Serialized Form

Constructor Summary
`UndirectedSubgraph(UndirectedGraph<V,E> base, java.util.Set<V> vertexSubset, java.util.Set<E> edgeSubset)` Creates a new undirected subgraph.

Method Summary
`int` | `degreeOf(V vertex)` Returns the degree of the specified vertex.

Methods inherited from class org.jgrapht.graph.Subgraph
`addEdge, addEdge, addVertex, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getBase, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeEdge, removeEdge, removeVertex, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### UndirectedSubgraph

    public UndirectedSubgraph(UndirectedGraph<V,E> base,
                              java.util.Set<V> vertexSubset,
                              java.util.Set<E> edgeSubset)

  Creates a new undirected subgraph.

  Parameters:
    `base` - the base (backing) graph on which the subgraph will be based.
    `vertexSubset` - vertices to include in the subgraph. If `null` then all vertices are included.
    `edgeSubset` - edges to in include in the subgraph. If `null` then all the edges whose vertices found in the graph are included.

Method Detail

### degreeOf

    public int degreeOf(V vertex)

  Description copied from interface: `UndirectedGraph`
  Returns the degree of the specified vertex. A degree of a vertex in an undirected graph is the number of edges touching that vertex.

  Specified by:
    `degreeOf` in interface `UndirectedGraph<V,E>`
  Parameters:
    `vertex` - vertex whose degree is to be calculated.
  Returns:
    the degree of the specified vertex.
  See Also:
    `UndirectedGraph.degreeOf(Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD